Subject: Re: [PATCH] x86: percpu_to_op() misses memory and flags clobbers

From: Jeremy Fitzhardinge <[email-masked]>
Date: Wed, 01 Apr 2009 11:07:29 -0700

Eric Dumazet wrote:
> +#define percpu_inc(var)		percpu_to_op0("inc", per_cpu__##var)
> +#define percpu_dec(var)		percpu_to_op0("dec", per_cpu__##var)
>   

There's probably not a lot of value in this.  The Intel and AMD 
optimisation guides tend to deprecate inc/dec in favour of using 
add/sub, because the former can cause pipeline stalls due to its partial 
flags update.

    J